Subject: RE: [SIP] Overlap dialing in SIP

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 21 Sep 2000 12:02:48 -0400

Is it truly the consensus that you can't do a re-INVITE before the final
response is received on an earlier INVITE?  I'm looking at a blind call
transfer situation where the controlling party hangs up while the transfer
target is still ringing.  In my particular scenario it would be useful to
redirect media from the target to the transferred party within the context
of the original call from the controlling party.  (Sounds strange, but it
has to do with support of legacy billing models.)  If I can't do a re-INVITE
I'll have to initiate another call-leg instead.

> -----Original Message-----
> From: Pathangi N Janardhanan [mailto:[email-masked]]
> Sent: Tuesday, September 19, 2000 9:45 PM
> To: Aseem Agarwal; sip
> Subject: Re: [SIP] Overlap dialing in SIP
> 
> 
> Hi Aseem,
> 
> 
> > I need some clarification about overlap dialing in SIP as referred
> in
> > Section 4.2.1
> >
> > "A UAC MUST NOT issue another INVITE request for the same call leg
> > before the previous transaction has completed"
> >
> > "A UAS acting as a gateway ..."
> >
> > The above two references are confusing. If a UAC can not initiate
> > a reINVITE before receiving a definite response, how does a UAS at a
> > GW get additional digits ? A Gateway can get additional digits once
> > the call is established (may be for supplementary services)but not
> > in call set up phase. Is this correct ?
> 
>  Please see draft-camarillo-sip-isup-bcp-00.txt for a detailed
> call flow scenario of overlap dialing in SIP-ISUP mapping.
> 
> >
> > Another source of confusion :
> >
> > "If the UAC wishes to modify the session after the call set up has
> > begun, it MUST use another INVITE request"
> >
> > Can a UA after sending an INVITE, send another INVITE for modifying
> the
> > session parameters before getting a definite response ( in call set
> up
> > phase itself) ?
> 
>  A re-invite for the same call leg can be sent only after the first
> INVITE
> has got a definite response.
> 
> Jana
> 
> 
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
>